<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:p="http://primefaces.org/ui">    
    <h:head>
        <title>Tráfico Libre</title>
        <link rel="stylesheet" type="text/css" href="../../carpetagacss/estilos.css"></link>
        <link rel="icon" href="../../imagenes/logo.ico"></link>
        <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    </h:head>
    <h:body>

        <header>
            <ui:include src="../menu/CabeceraMenu.xhtml" />
        </header>

        <center>
            <table>
                <tr>
                    <td colspan="4">
                        <div class="advertencia">
                            <h:form id="rolForm">
                                <p:growl id="messages" showDetail="true" />
                                <p:panelGrid id="panelVehiculos" columns="2">
                                <f:facet name="header">REGISTRAR NUEVO ROL</f:facet>
                                    <h:outputText value="NOMBRE ROL:" style="width: 150px"/>
                                    <p:inputText value="#{rolBean.nuevoRol.rol}" style="width: 150px"/>
                                    <h:outputText value="DESCRIPCIÓN:" style="width: 150px"/>
                                    <p:inputText value="#{rolBean.nuevoRol.descripcion}" style="width: 150px"/>
                                    <h:outputText value="ESTADO:" style="width: 150px"/>
                                    <p:selectOneMenu value="#{rolBean.nuevoRol.estado}" style="width: 150px">
                                        <f:selectItem itemLabel="Seleccione Estado"/>
                                        <f:selectItems value="#{rolBean.listaEstados}"/>
                                    </p:selectOneMenu>

                                    <p:commandButton id="botonGuardar" value="Guardar" class="botonbuscador" 
                                                     action="#{rolBean.registrarRol()}" update="rolForm, tablaConductor"/>
                                    <p:commandButton type="reset" value="Borrar" class="rolForm" style="width: 150px"/>
                                </p:panelGrid>
                                <br></br>
                                <p:scrollPanel style="width:900px;height:200px">
                                    <p:dataTable id="tablaConductor" var="rol" value="#{rolBean.listadoRoles}"
                                                 emptyMessage="Sin Registros">
                                        <p:column headerText="ID">
                                            <h:outputText value="#{rol.idrol}"/>
                                        </p:column>     
                                        <p:column headerText="Nombre">
                                            <h:outputText value="#{rol.rol}"/>
                                        </p:column>    
                                        <p:column headerText="Descripción">
                                            <h:outputText value="#{rol.descripcion}"/>
                                        </p:column>    
                                        <p:column headerText="Estado">
                                            <h:outputText value="#{rol.estado}"/>
                                        </p:column>    
                                    </p:dataTable>
                                </p:scrollPanel>
                            </h:form>
                        </div>
                    </td>
                </tr>
            </table>
        </center>           
        <footer>
            <a target="_blank" href="http://www.facebook.com"><img src="../../imagenes/Facebook.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.instagram.com"><img src="../../imagenes/Instagram.png" class="redsocial"></img></a>

            <a target="_blank" href="http://www.twitter.com"><img src="../../imagenes/Twitter.png" class="redsocial"></img></a>
            | Copyright 2014-2019 Tráfico Libre - <a href="#" class="privacidad">Privacidad-condiciones</a>
        </footer> 

    </h:body>
</html>

